Cancel Data Subject Request
1 min
DELETE
https://api.upstartcommerce.com/compliance-orchestrator/dsr/cancel/{requestId}
Path Parameters
- requestIdstring<uuid>requiredDescriptionFormatuuid
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringrequiredDescription
Responses
200
- DSRCancelRequestResponseDescription
- requestIdstring<uuid>requiredDescriptionFormatuuid
- consumerIdstring<uuid>requiredDescriptionFormatuuid
- tenantstringrequiredDescription
- cancelTimestampstring<date-time>requiredDescriptionFormatdate-time
- nextEligibleRequestDatestring<date-time>requiredDescriptionFormatdate-time
- statusDSRStatusrequiredDescription
400
- ValidationErrorResponse[]Description
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
- metadatamap<string, string>
401
- UnauthorizedErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
403
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
405
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
412
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
415
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
422
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
500
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request DELETE \
--url https://api.upstartcommerce.com/compliance-orchestrator/dsr/cancel/{requestId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
myHeaders.append("x-upstart-site", "string");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/compliance-orchestrator/dsr/cancel/{requestId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/compliance-orchestrator/dsr/cancel/{requestId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request["x-upstart-site"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/compliance-orchestrator/dsr/cancel/{requestId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string',
'x-upstart-site': 'string'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
200
// DSR request successfully canceled
{
"requestId": "",
"consumerId": "",
"tenant": "",
"cancelTimestamp": "",
"nextEligibleRequestDate": "",
"status": ""
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
[
{
"name": "",
"code": "",
"detail": "",
"reason": "",
"metadata": ""
}
]401
// The provided credentials were not valid for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}403
// User's roles are insufficient for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}405
// This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}412
// This is to indicate that the precondition of etag or if-modified-since has failed.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}415
// This is to indicate that the server cannot process the request because the media type of the request entity is not supported or not recognized by the server.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}422
// This is to indicate that the server understands the content type of the request entity, and the syntax of the request entity is correct, but it was unable to process the contained instructions.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}500
// There was an internal server error.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}